package util

import (
	"testing"

	"gotest.tools/assert"
)

func TestFileExist(t *testing.T) {
	assert.Assert(t, FileExists("utils.go"))
	assert.Assert(t, !FileExists("Utils2.go"))
}

func TestJoiningSlash(t *testing.T) {
	assert.Equal(t, "http://my.tld/bla/blub", JoiningSlash("http://my.tld", "bla", "blub"))
	assert.Equal(t, "http://my.tld/bla/blub", JoiningSlash("http://my.tld/", "bla", "blub"))
	assert.Equal(t, "http://my.tld/bla/blub", JoiningSlash("http://my.tld", "bla/", "blub"))
	assert.Equal(t, "http://my.tld/docs/bla/blub", JoiningSlash("http://my.tld/docs", "bla/", "blub"))
	assert.Equal(t, "http://my.tld/docs/bla/blub", JoiningSlash("http://my.tld/docs/", "bla/", "blub"))
}
